package com.chelvc.cloud.vehicle.client;

import com.chelvc.cloud.vehicle.client.dto.ProfitRatioConfigDTO;
import com.chelvc.cloud.vehicle.client.param.AddProfitRatioConfigParams;
import com.chelvc.cloud.vehicle.client.param.EditProfitRatioConfigParams;
import com.chelvc.cloud.vehicle.client.param.QueryProfitRatioConfigParam;
import com.chelvc.framework.common.model.Pagination;
import org.springframework.cloud.openfeign.FeignClient;

@FeignClient("vehicle")
public interface ProfitRatioConfigClient {

    void add(AddProfitRatioConfigParams params);

    void edit(EditProfitRatioConfigParams params);

    void delete(Long id, Long userId);

    Pagination<ProfitRatioConfigDTO> queryPageList(QueryProfitRatioConfigParam param);

}
