package com.chelvc.cloud.vehicle.client;

import com.chelvc.cloud.vehicle.client.dto.RankAwardConfigDTO;
import com.chelvc.cloud.vehicle.client.param.AddRankAwardConfigParams;
import com.chelvc.cloud.vehicle.client.param.EditRankAwardConfigParams;
import com.chelvc.cloud.vehicle.client.param.QueryRankAwardConfigParam;
import com.chelvc.framework.common.model.Pagination;
import org.springframework.cloud.openfeign.FeignClient;

@FeignClient("vehicle")
public interface RankAwardConfigClient {

    void add(AddRankAwardConfigParams params);

    void edit(EditRankAwardConfigParams params);

    void delete(Long id, Long userId);

    Pagination<RankAwardConfigDTO> queryPageList(QueryRankAwardConfigParam param);

}
